import React, { useState } from 'react'
import styles from './index.less'
import { Button } from 'antd'
import {
  SnippetsOutlined,
  PlusOutlined,
  FormOutlined,
  DeleteOutlined,
  ImportOutlined,
  ExportOutlined,
  FileZipOutlined,
  FileImageOutlined,
  CustomerServiceOutlined,
  VideoCameraOutlined,
  ExclamationCircleOutlined,
  QuestionCircleOutlined,
  EditOutlined,
  DownOutlined
} from '@ant-design/icons'
import Viewer from 'viewerjs-react'
import Drag from '../../../../../components/Drag'

const FileView = (props) => {

  const { value, fileType, title } = props
  let fileList = value ? value.split(',') : []
  const [visible, setVisible] = useState(false)

  if (!fileList.length) return null

  if (fileType === '图片') {
    return (
      <div className={styles.fileView}>
        <Viewer>
          {
            fileList.map(v => {
              return (
                <img className={styles.img} src={`${window.origin}/PandaWorkFlow/WorkFlow/AccountManage/DownloadFiles?filePath=${v}`}></img>
              )
            })
          }
        </Viewer>
      </div>
    )
  }

  return (
    <div className={styles.fileView}>
      <Button
        size='small'
        icon={<FileZipOutlined />}
        onClick={() => setVisible(true)}
      >
        {fileList.length}条记录
      </Button>
      <Drag
        onOk={() => setVisible(false)}
        
        title={title}
        visible={visible}
      >

      </Drag>
    </div>
  )

}

export default FileView