import React, { useMemo } from 'react'
import { Table, Tooltip } from 'antd'
import FileView from './components/FileView'
import CoordView from './components/CoordView'
import SelectView from './components/SelectView'

const TablePack = (props) => {

  const { value, widget } = props

  if (widget === 'FileUpload') {
    return <FileView {...props} />
  }

  if (['Coordinate', 'Device', 'DrawPath', 'DrawArea'].includes(widget)) {
    return <CoordView {...props} />
  }

  if (['RadioButton', 'CheckBox'].includes(widget)) {
    return <SelectView {...props} />
  }

  return (
    <div>{value}</div>
  )

}

export default TablePack